summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-asy
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2011-05-29 16:18:52 +0000
committerKarl Berry <karl@freefriends.org>2011-05-29 16:18:52 +0000
commitf769ab0e7682f73bbea4601a4ca6c313b480b79f (patch)
tree0aae233aa030f5c54ff9c6c5f8ce7fb3fe511247 /Master/tlpkg/bin/tl-update-asy
parentdd3502855eeb1791642556844097e47414580cad (diff)
new year updates
git-svn-id: svn://tug.org/texlive/trunk@22669 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-asy')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-asy17
1 files changed, 10 insertions, 7 deletions
diff --git a/Master/tlpkg/bin/tl-update-asy b/Master/tlpkg/bin/tl-update-asy
index 8c5a99c207f..8120a841ea4 100755
--- a/Master/tlpkg/bin/tl-update-asy
+++ b/Master/tlpkg/bin/tl-update-asy
@@ -1,7 +1,7 @@
#!/bin/sh
# $Id$
# Public domain. Originally written 2008, Karl Berry.
-# Attempt at updating asymptote.
+# Info about updating asymptote.
#
# Do not run this script. It won't work. It is necessary to run the
# commands one at a time and think about what is being done. It's
@@ -12,10 +12,10 @@
# for myself; feel free to peruse tug.org:~karl/.bash_login, etc.
# --karl
-test "x$1" = x--build || exit 1
-
ver=... # the newly-released version
+test "x$1" = x--build || exit 1
+
#
if false && $update_sources_from_ctan; then
# this part is about copying the sources from CTAN to TL.
@@ -35,7 +35,7 @@ if false && $update_sources_from_ctan; then
# final check and commit:
svn status
- svn commit -m"asy $ver" . ../README
+ svn commit -m"asy $ver sources" . ../README
exit $?
#
@@ -59,7 +59,7 @@ elif test "x$1" = x--build; then
fi
rm -rf /tmp/ainst
./configure --with-latex=/tmp/ainst/latex --with-context=/tmp/ainst/context \
- --enable-texlive-build --prefix=/tmp/ainst CFLAGS=-g
+ --enable-texlive-build --prefix=/tmp/ainst #CFLAGS=-g
nice make
make install-prebuilt
mv dot.svn .svn
@@ -83,11 +83,14 @@ elif false && $update_runtime_from_ainst; then
$cp share/man/man1/asy.1 $xmf/doc/man/man1/asy.1
$cp share/man/man1/xasy.1x $xmf/doc/man/man1/xasy.1
$cp -r share/doc/asymptote $xmf/doc
-
+ #
$cp -r share/asymptote $xmf
-
+ #
$cp latex/asymptote/* $xmf/tex/latex/asymptote/
$cp context*/asymptote/* $xmf/tex/context/asymptote/
+ #
+ $cp bin/asy $lb/
+ strip $lb/asy
cd $xmf/doc/man
make